#!/bin/sh

. /etc/openwrt_release

r3_logger() {
  logger -t remoteit "$@"
}

r3_get_architecture() {
  echo "$DISTRIB_ARCH"
}

r3_get_name() {
  uname -n
}

r3_get_macaddr() {
  ip link show up | grep ether | head -n 1 | awk '{print $2}'
}

r3_get_model() {
  cat /proc/device-tree/model 2>/dev/null
}

r3_get_serial() {
  cat /proc/device-tree/serial-number 2>/dev/null
}

r3_get_identity() {
  r3_get_macaddr
}

r3_get_manufacturer() {
  echo 34304
}

r3_get_platform() {
  echo 1205
}

r3_get_metadata() {
  jq -n \
    --arg version "$VERSION" \
    --arg macAddress "$(r3_get_macaddr)" \
    --arg model "$(r3_get_model)" \
    --arg serialNum "$(r3_get_serial)" \
    --argjson system "$(ubus call system board)" \
    '{$version, $macAddress, $model, $serialNum, $system}'
}
